Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateBudget/FrmEstimateBudgetAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateBudget/FrmEstimateBudgetAuxiliary.cs	(revision 351)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateBudget/FrmEstimateBudgetAuxiliary.cs	(revision 352)
@@ -1790,25 +1829,12 @@
                 if (ExecNo < 0) return;
 
                 bool SelProc = false;
-                // 新セキュリティデータ対応済みかを確認する
-                if (CommonMotions.LoginUserData.SecCode == 0)
+                int SRank = (int)CommonDefine.SecurityRankPos.SpecialAuthority;     // 経営者アクセス
+                if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode
+                    || CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[SRank].Key)
                 {
-                    int SecMana = CommonMotions.LoginUserData.SecurityManagement;
-                    if (SecMana == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key
-                        || SecMana == CommonDefine.AdminSecurityManagement) 
-                    {
-                        SelProc = true;
-                    }
+                    SelProc = true;
                 }
-                else
-                {
-                    int SRank = (int)CommonDefine.SecurityRankPos.SpecialAuthority;     // 経営者アクセス
-                    if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode
-                        || CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[SRank].Key)
-                    {
-                        SelProc = true;
-                    }
-                }
 
                 if (SelProc)
                 {   // 最高管理者のみ画面表示
@@ -1841,7 +1867,7 @@
             {
                 InsertBlankLine(2);
                 // タイトルセット
-                DispTitle(GroupTitle[(int)GroupName_EstimateBudget.FieldManage], (int)TitleDivision.Group);
+                DispTitle(GroupTitle[(int)GroupName.FieldManage], (int)TitleDivision.Group);
 
                 // 現場管理費を取得する
                 double dspFieldval = CalcCommonFieldManage(true);
@@ -1865,12 +1891,14 @@
                 EstimateData DataRec = new EstimateData();
                 StringBuilder strSQL = new StringBuilder();
                 strSQL.Append(DataDB.CreatePrimarykeyString(m_ConstructionCode));
-                strSQL.AppendFormat(" AND ComponentCode = {0}", ClsCommonCosts.s_FieldManagementCompCode);
+                //strSQL.AppendFormat(" AND ComponentCode = {0}", ClsComCostsStatic.s_FieldManagementCompCode);
+                strSQL.AppendFormat(" AND ComponentCode = {0}", m_CommonCosts.FieldManagementPublic);
                 DataDB.SelectAction(strSQL.ToString(), ref DataRec);
 
                 EstimateBudgetDetail DetailRec = new EstimateBudgetDetail();
-                DetailRec.GroupCount = (int)GroupName_EstimateBudget.FieldManage;                          // グループ番号
-                DetailRec.ComponentCode = ClsCommonCosts.s_FieldManagementCompCode;      // 構成キー
+                DetailRec.GroupCount = (int)GroupName.FieldManage;                          // グループ番号
+                //DetailRec.ComponentCode = ClsComCostsStatic.s_FieldManagementCompCode;      // 構成キー
+                DetailRec.ComponentCode = m_CommonCosts.FieldManagementPublic;            // 構成キー
                 DetailRec.FirstString = DataRec.ItemName;                                   // 構成名称
                 DetailRec.EstimatePrice = DataRec.PriceValue;                               // 見積時金額
                 DetailRec.NegotiationPrice = DataRec.PriceValue;                            // 交渉時金額
@@ -1878,8 +1906,8 @@
                 DisplayGridData(1, DetailRec);
 
                 // 小計
-                string strDspName = GroupTitle[(int)GroupName_EstimateBudget.FieldManage] + s_TotaFixlName;
-                CreateTotalLine(strDspName, dspFieldval, 0, (int)TitleDivision.Group, (int)GroupName_EstimateBudget.FieldManage);
+                string strDspName = GroupTitle[(int)GroupName.FieldManage] + s_TotaFixlName;
+                CreateTotalLine(strDspName, dspFieldval, 0, (int)TitleDivision.Group, (int)GroupName.FieldManage);
             }
             catch (Exception ex)
             {
@@ -1903,13 +1931,14 @@
             {
                 InsertBlankLine(1);
                 // タイトルセット
-                DispTitle(GroupTitle[(int)GroupName_EstimateBudget.FieldManagePileUp], (int)TitleDivision.Group);
+                DispTitle(GroupTitle[(int)GroupName.FieldManagePileUp], (int)TitleDivision.Group);
 
                 // 積み上げ現場管理費行セット
                 EstimateBudgetDetail Datarec = new EstimateBudgetDetail();
-                Datarec.GroupCount = (int)GroupName_EstimateBudget.FieldManagePileUp;                       // グループ番号
-                Datarec.ComponentCode = ClsCommonCosts.s_CommunityCompCode;                                 // 構成キー
-                Datarec.FirstString = GroupTitle[(int)GroupName_EstimateBudget.FieldManagePileUp].Trim();  // 構成名称
+                Datarec.GroupCount = (int)GroupName.FieldManagePileUp;                       // グループ番号
+                //Datarec.ComponentCode = ClsComCostsStatic.s_CommunityCompCode;                                 // 構成キー
+                Datarec.ComponentCode = m_CommonCosts.CommonTemporyPublic;                    // 構成キー
+                Datarec.FirstString = GroupTitle[(int)GroupName.FieldManagePileUp].Trim();  // 構成名称
 
                 DisplayGridData(1, Datarec);
                 
@@ -1919,8 +1948,8 @@
                 dgvAllDisplay.Rows[iLineCnt].Cells[(int)DispGridColumn.EstimatePrice].ReadOnly = false;
                 
                 // 小計
-                string strDspName = GroupTitle[(int)GroupName_EstimateBudget.FieldManagePileUp] + s_TotaFixlName;
-                CreateTotalLine(strDspName, 0, 0, (int)TitleDivision.Group, (int)GroupName_EstimateBudget.FieldManagePileUp);
+                string strDspName = GroupTitle[(int)GroupName.FieldManagePileUp] + s_TotaFixlName;
+                CreateTotalLine(strDspName, 0, 0, (int)TitleDivision.Group, (int)GroupName.FieldManagePileUp);
 
             }
             catch (Exception ex)
@@ -1943,7 +1972,7 @@
 
                 InsertBlankLine(2);
                 // タイトルセット
-                DispTitle(GroupTitle[(int)GroupName_EstimateBudget.UsualManage], (int)TitleDivision.Group);
+                DispTitle(GroupTitle[(int)GroupName.UsualManage], (int)TitleDivision.Group);
 
                 // 一般管理費演算
                 double dspval = CalcCommonUsualManage(true);
@@ -1967,12 +1996,14 @@
                 EstimateData DataRec = new EstimateData();
                 StringBuilder strSQL = new StringBuilder();
                 strSQL.Append(DataDB.CreatePrimarykeyString(m_ConstructionCode));
-                strSQL.AppendFormat(" AND ComponentCode = {0}", ClsCommonCosts.s_NormalManagementCompCode);
+                //strSQL.AppendFormat(" AND ComponentCode = {0}", ClsComCostsStatic.s_NormalManagementCompCode);
+                strSQL.AppendFormat(" AND ComponentCode = {0}", m_CommonCosts.NormalManagementPublic);
                 DataDB.SelectAction(strSQL.ToString(), ref DataRec);
 
                 EstimateBudgetDetail DetailRec = new EstimateBudgetDetail();
-                DetailRec.GroupCount = (int)GroupName_EstimateBudget.UsualManage;                          // グループ番号
-                DetailRec.ComponentCode = ClsCommonCosts.s_NormalManagementCompCode;     // 構成キー
+                DetailRec.GroupCount = (int)GroupName.UsualManage;                          // グループ番号
+                //DetailRec.ComponentCode = ClsComCostsStatic.s_NormalManagementCompCode;     // 構成キー
+                DetailRec.ComponentCode = m_CommonCosts.NormalManagementPublic;           // 構成キー
                 DetailRec.FirstString = DataRec.ItemName;                                   // 構成名称
                 DetailRec.EstimatePrice = DataRec.PriceValue;                               // 見積時金額
                 DetailRec.NegotiationPrice = DataRec.PriceValue;                            // 交渉時金額
@@ -1980,8 +2011,8 @@
                 DisplayGridData(1, DetailRec);
 
                 // 小計
-                string strDspName = GroupTitle[(int)GroupName_EstimateBudget.UsualManage] + s_TotaFixlName;
-                CreateTotalLine(strDspName, dspval, 0, (int)TitleDivision.Group, (int)GroupName_EstimateBudget.UsualManage);
+                string strDspName = GroupTitle[(int)GroupName.UsualManage] + s_TotaFixlName;
+                CreateTotalLine(strDspName, dspval, 0, (int)TitleDivision.Group, (int)GroupName.UsualManage);
 
             }
             catch (Exception ex)
@@ -2019,16 +2050,16 @@
                 m_frmCostCalc.ConstructionTimes = CommonMotions.cnvDouble(m_dispLabelControl[(int)DispControl.ConstructionTime].Text);
 
                 // 直接工事費(外注費と自社施工費を取得する)
-                m_frmCostCalc.Value1 = GetGroupTotalFromGrid((int)GroupName_EstimateBudget.OutSource) + GetGroupTotalFromGrid((int)GroupName_EstimateBudget.MyConstruction);
+                m_frmCostCalc.Value1 = GetGroupTotalFromGrid((int)GroupName.OutSource) + GetGroupTotalFromGrid((int)GroupName.MyConstruction);
 
                 // 積み上げ共通仮設費
-                m_frmCostCalc.Value2 = GetGroupTotalFromGrid((int)GroupName_EstimateBudget.CommonPileUp);
+                m_frmCostCalc.Value2 = GetGroupTotalFromGrid((int)GroupName.CommonPileUp);
                 
                 // 積み上げ現場管理費
-                m_frmCostCalc.Value3 = GetGroupTotalFromGrid((int)GroupName_EstimateBudget.FieldManagePileUp);
+                m_frmCostCalc.Value3 = GetGroupTotalFromGrid((int)GroupName.FieldManagePileUp);
 
                 // 発生剤処分費
-                m_frmCostCalc.Value4 = GetGroupTotalFromGrid((int)GroupName_EstimateBudget.Dispose);
+                m_frmCostCalc.Value4 = GetGroupTotalFromGrid((int)GroupName.Dispose);
 
                 // タスクバー表示無
                 //m_frmCostCalc.ShowInTaskbar = false;
@@ -2191,8 +2222,8 @@
                 else
                     radioButton2.Checked = true;
                 
-                double dTotal = GetGroupTotalFromGrid((int)GroupName_EstimateBudget.OutSource);
-                dTotal += GetGroupTotalFromGrid((int)GroupName_EstimateBudget.MyConstruction);
+                double dTotal = GetGroupTotalFromGrid((int)GroupName.OutSource);
+                dTotal += GetGroupTotalFromGrid((int)GroupName.MyConstruction);
 
                 // 工期
                 double dCTimes = CommonMotions.cnvDouble(m_dispLabelControl[(int)DispControl.ConstructionTime].Text);
@@ -2243,12 +2274,12 @@
                     radioButton2.Checked = true;
 
                 // 外注費と自社施工費を取得する
-                double dTotal = GetGroupTotalFromGrid((int)GroupName_EstimateBudget.OutSource);
-                dTotal += GetGroupTotalFromGrid((int)GroupName_EstimateBudget.MyConstruction);
+                double dTotal = GetGroupTotalFromGrid((int)GroupName.OutSource);
+                dTotal += GetGroupTotalFromGrid((int)GroupName.MyConstruction);
                 // 共通仮設費を取得する
                 dTotal += CommonMotions.cnvInt(dgvAllDisplay.Rows[m_CommonItemLine].Cells[GetEstimate].Value);
                 // 積み上げ共通仮設費を取得する
-                dTotal += GetGroupTotalFromGrid((int)GroupName_EstimateBudget.CommonPileUp);
+                dTotal += GetGroupTotalFromGrid((int)GroupName.CommonPileUp);
 
                 // 工期
                 double dCTimes = CommonMotions.cnvDouble(m_dispLabelControl[(int)DispControl.ConstructionTime].Text);
@@ -2300,16 +2331,16 @@
                     radioButton2.Checked = true;
 
                 // 外注費と自社施工費を取得する
-                double dTotal = GetGroupTotalFromGrid((int)GroupName_EstimateBudget.OutSource);
-                dTotal += GetGroupTotalFromGrid((int)GroupName_EstimateBudget.MyConstruction);
+                double dTotal = GetGroupTotalFromGrid((int)GroupName.OutSource);
+                dTotal += GetGroupTotalFromGrid((int)GroupName.MyConstruction);
                 // 共通仮設費を取得する
                 dTotal += CommonMotions.cnvInt(dgvAllDisplay.Rows[m_CommonItemLine].Cells[GetEstimate].Value);
                 // 積み上げ共通仮設費を取得する
-                dTotal += GetGroupTotalFromGrid((int)GroupName_EstimateBudget.CommonPileUp);
+                dTotal += GetGroupTotalFromGrid((int)GroupName.CommonPileUp);
                 // 現場管理費を取得する
                 dTotal += CommonMotions.cnvInt(dgvAllDisplay.Rows[m_FieldItemLine].Cells[GetEstimate].Value);
                 // 積み上げ現場管理を取得する
-                dTotal += GetGroupTotalFromGrid((int)GroupName_EstimateBudget.FieldManagePileUp);
+                dTotal += GetGroupTotalFromGrid((int)GroupName.FieldManagePileUp);
 
                 // 工期
                 double dCTimes = CommonMotions.cnvDouble(m_dispLabelControl[(int)DispControl.ConstructionTime].Text);
@@ -2360,7 +2391,7 @@
                     dgv.Rows[m_CommonItemLine].Cells[(int)DispGridColumn.NegotiationPrice].Value = dspCommonval2.ToString("#,0");
 
                     // 小計セット
-                    CalcGroupTotal((int)GroupName_EstimateBudget.CommonTemp);
+                    CalcGroupTotal((int)GroupName.CommonTemp);
                 }
 
                 // 現場管理費演算
@@ -2374,7 +2405,7 @@
                     dgv.Rows[m_FieldItemLine].Cells[(int)DispGridColumn.NegotiationPrice].Value = dspFieldval2.ToString("#,0");
 
                     // 小計セット
-                    CalcGroupTotal((int)GroupName_EstimateBudget.FieldManage);
+                    CalcGroupTotal((int)GroupName.FieldManage);
                 }
 
                 // 一般管理費演算
@@ -2388,7 +2419,7 @@
                     dgv.Rows[m_UsualItemLine].Cells[(int)DispGridColumn.NegotiationPrice].Value = dspval2.ToString("#,0");
 
                     // 小計セット
-                    CalcGroupTotal((int)GroupName_EstimateBudget.UsualManage);
+                    CalcGroupTotal((int)GroupName.UsualManage);
                 }
 
                 // 合計計算処理を行う
@@ -2427,7 +2458,7 @@
                     dgv.Rows[m_CommonItemLine].Cells[(int)DispGridColumn.EstimatePrice].Value = dvalue1.ToString("#,0");
 
                     // 小計セット
-                    CalcGroupTotal((int)GroupName_EstimateBudget.CommonTemp);
+                    CalcGroupTotal((int)GroupName.CommonTemp);
                 }
 
                 if (m_FieldItemLine != 0)
@@ -2436,7 +2467,7 @@
                     dgv.Rows[m_FieldItemLine].Cells[(int)DispGridColumn.EstimatePrice].Value = dvalue2.ToString("#,0");
 
                     // 小計セット
-                    CalcGroupTotal((int)GroupName_EstimateBudget.FieldManage);
+                    CalcGroupTotal((int)GroupName.FieldManage);
                 }
 
                 if (m_UsualItemLine != 0)
@@ -2445,7 +2476,7 @@
                     dgv.Rows[m_UsualItemLine].Cells[(int)DispGridColumn.EstimatePrice].Value = dvalue3.ToString("#,0");
 
                     // 小計セット
-                    CalcGroupTotal((int)GroupName_EstimateBudget.UsualManage);
+                    CalcGroupTotal((int)GroupName.UsualManage);
                 }
 
                 // 合計計算処理を行う
@@ -2748,7 +2779,7 @@
                     if (!CommonMotions.chkNumeric(wrkRow.Cells[(int)DispGridColumn.EstimatePrice].Value))
                     {
                         // 購入品は予算金額がない
-                        if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.GroupCount].Value) != (int)GroupName_EstimateBudget.PurchasePrice)
+                        if (CommonMotions.cnvInt(wrkRow.Cells[(int)DispGridColumn.GroupCount].Value) != (int)GroupName.PurchasePrice)
                         {
                             ErrorRowl = wrkRow.Index;
                             bAns = false;
@@ -2786,55 +2817,55 @@
         /// <summary>
         /// 共通費を画面より取得する
         /// </summary>
-        private void GetCommonValue(ref double dvalue1, ref double dvalue2, ref double dvalue3)
-        {
-            IOMComponent CompDB = new IOMComponent();
-            IOMConstructionItem ItemDB = new IOMConstructionItem();
-            try
-            {
-                // 名称取得
-                ConstructionItemMaster ItemRec = new ConstructionItemMaster();
-                string strItem = ItemDB.CreatePrimarykeyString(ClsCommonCosts.s_ComputationCommonTempory);
-                ItemDB.SelectAction(strItem, ref ItemRec);
-                // string ItemName = ItemRec.ItemName.Substring(0, ItemRec.ItemName.IndexOf("※") - 1);
-                string ItemName = CommonMotions.ComentSucstring(ItemRec.ItemName, "※");
+        //private void GetCommonValue(ref double dvalue1, ref double dvalue2, ref double dvalue3)
+        //{
+        //    IOMComponent CompDB = new IOMComponent();
+        //    IOMConstructionItem ItemDB = new IOMConstructionItem();
+        //    try
+        //    {
+        //        // 名称取得
+        //        ConstructionItemMaster ItemRec = new ConstructionItemMaster();
+        //        string strItem = ItemDB.CreatePrimarykeyString(ClsCommonCosts.s_ComputationCommonTempory);
+        //        ItemDB.SelectAction(strItem, ref ItemRec);
+        //        // string ItemName = ItemRec.ItemName.Substring(0, ItemRec.ItemName.IndexOf("※") - 1);
+        //        string ItemName = CommonMotions.ComentSucstring(ItemRec.ItemName, "※");
 
-                // 行セット
-                int LineCnt = GetNameToGridLine(ItemName);
-                // データセット
-                dvalue1 = CommonMotions.cnvDouble(dgvAllDisplay.Rows[LineCnt].Cells[(int)DispGridColumn.EstimatePrice].Value);
+        //        // 行セット
+        //        int LineCnt = GetNameToGridLine(ItemName);
+        //        // データセット
+        //        dvalue1 = CommonMotions.cnvDouble(dgvAllDisplay.Rows[LineCnt].Cells[(int)DispGridColumn.EstimatePrice].Value);
 
 
-                // 名称取得
-                ComponentMaster CompRec = new ComponentMaster();
-                string strComp = CompDB.CreatePrimarykeyString(ClsCommonCosts.s_FieldManagementCompCode);
-                CompDB.SelectAction(strComp, ref CompRec);
+        //        // 名称取得
+        //        ComponentMaster CompRec = new ComponentMaster();
+        //        string strComp = CompDB.CreatePrimarykeyString(ClsCommonCosts.s_FieldManagementCompCode);
+        //        CompDB.SelectAction(strComp, ref CompRec);
 
-                // 行セット
-                LineCnt = GetNameToGridLine(CompRec.ComponentName);
-                // データセット
-                dvalue2 = CommonMotions.cnvDouble(dgvAllDisplay.Rows[LineCnt].Cells[(int)DispGridColumn.EstimatePrice].Value);
+        //        // 行セット
+        //        LineCnt = GetNameToGridLine(CompRec.ComponentName);
+        //        // データセット
+        //        dvalue2 = CommonMotions.cnvDouble(dgvAllDisplay.Rows[LineCnt].Cells[(int)DispGridColumn.EstimatePrice].Value);
 
-                // 名称取得
-                strComp = CompDB.CreatePrimarykeyString(ClsCommonCosts.s_NormalManagementCompCode);
-                CompDB.SelectAction(strComp, ref CompRec);
+        //        // 名称取得
+        //        strComp = CompDB.CreatePrimarykeyString(ClsCommonCosts.s_NormalManagementCompCode);
+        //        CompDB.SelectAction(strComp, ref CompRec);
 
-                // 行セット
-                LineCnt = GetNameToGridLine(CompRec.ComponentName);
-                // データセット
-                dvalue3 = CommonMotions.cnvDouble(dgvAllDisplay.Rows[LineCnt].Cells[(int)DispGridColumn.EstimatePrice].Value);
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-            finally
-            {
-                // ハンドルクリア
-                CompDB.close(); CompDB = null;
-                ItemDB.close(); ItemDB = null;
-            }
-        }
+        //        // 行セット
+        //        LineCnt = GetNameToGridLine(CompRec.ComponentName);
+        //        // データセット
+        //        dvalue3 = CommonMotions.cnvDouble(dgvAllDisplay.Rows[LineCnt].Cells[(int)DispGridColumn.EstimatePrice].Value);
+        //    }
+        //    catch (Exception ex)
+        //    {
+        //        logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+        //    }
+        //    finally
+        //    {
+        //        // ハンドルクリア
+        //        CompDB.close(); CompDB = null;
+        //        ItemDB.close(); ItemDB = null;
+        //    }
+        //}
         #endregion
 
         #region 積算予算書データ登録
@@ -3142,7 +3173,7 @@
                     switch (GroupNo)
                     {
                         /// 外注費
-                        case (int)GroupName_EstimateBudget.OutSource:
+                        case (int)GroupName.OutSource:
                             // 会社コード
                             if (wrkRec.CompanyCode == para2)
                             {
@@ -3151,26 +3182,28 @@
                             }
                             break;
                         /// 自社施工費
-                        case (int)GroupName_EstimateBudget.MyConstruction:
+                        case (int)GroupName.MyConstruction:
                         /// 共通費
-                        case (int)GroupName_EstimateBudget.CommonTemp:
+                        case (int)GroupName.CommonTemp:
                         /// 共通仮設算定費
-                        case (int)GroupName_EstimateBudget.CommonTempCalcCosts:
+                        case (int)GroupName.CommonTempCalcCosts:
                         /// 積み上げ共通費
-                        case (int)GroupName_EstimateBudget.CommonPileUp:
+                        case (int)GroupName.CommonPileUp:
                         /// 現場管理費
-                        case (int)GroupName_EstimateBudget.FieldManage:
+                        case (int)GroupName.FieldManage:
                         /// 積み上げ現場管理費
-                        case (int)GroupName_EstimateBudget.FieldManagePileUp:
+                        case (int)GroupName.FieldManagePileUp:
                         /// 一般管理費
-                        case (int)GroupName_EstimateBudget.UsualManage:
+                        case (int)GroupName.UsualManage:
                         /// 購入品
-                        case (int)GroupName_EstimateBudget.PurchasePrice:
+                        case (int)GroupName.PurchasePrice:
                         /// 諸経費
-                        case (int)GroupName_EstimateBudget.Expenss:
+                        case (int)GroupName.Expenss:
                         /// 処分費等
-                        case (int)GroupName_EstimateBudget.Dispose:
-                            if (wrkRec.ComponentCode == para1 && wrkRec.FirstString.Equals(para3.Trim()) && wrkRec.SecondString.Equals(para4.Trim()))
+                        case (int)GroupName.Dispose:
+                            if (wrkRec.ComponentCode == para1
+                                && wrkRec.FirstString.Equals(para3.Trim())
+                                && wrkRec.SecondString.Equals(para4.Trim()))
                             {
                                 GetData = (int)wrkRec.NegotiationPrice;
                                 bBreaksw = true;
@@ -3303,7 +3336,8 @@
                 strSQL.Append(" count(*)");
                 strSQL.Append(" FROM ESTIMATEDATADETAIL A");
                 strSQL.AppendFormat(" WHERE A.CONSTRUCTIONCODE = {0}", m_ConstructionCode);                                     // 対象工事のみ
-                strSQL.AppendFormat(" And A.COMPONENTCODE != {0}", ClsCommonCosts.s_CommunityCompCode);                         // 共通仮設費以外を対象にする
+                //strSQL.AppendFormat(" And A.COMPONENTCODE != {0}", ClsComCostsStatic.s_CommunityCompCode);                         // 共通仮設費以外を対象にする
+                strSQL.AppendFormat(" And A.COMPONENTCODE != {0}", m_CommonCosts.CommonTemporyPublic);                            // 共通仮設費以外を対象にする
                 strSQL.Append(" And A.MYEXPENSESFLG = 0");                                                                      // 経費を除外する
                 strSQL.AppendFormat(" And A.COMPANYCODE != {0}",
                                                     CommonDefine.s_AmountMoney[(int)CommonDefine.AmountMoneyNo.MyCosts].Key);   // 自社施工・会社割当無を除外する
Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateInput/FrmEstimateInput.designer.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateInput/FrmEstimateInput.designer.cs	(revision 351)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/EstimateInput/FrmEstimateInput.designer.cs	(revision 352)
@@ -826,6 +826,7 @@
             // 
             // Column03
             // 
+            this.Column03.AutoSizeMode = System.Windows.Forms.DataGridViewAutoSizeColumnMode.None;
             dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
             this.Column03.DefaultCellStyle = dataGridViewCellStyle2;
             this.Column03.Frozen = true;
@@ -840,6 +841,7 @@
             this.Column01.HeaderText = "工事コード";
             this.Column01.Name = "Column01";
             this.Column01.ReadOnly = true;
+            this.Column01.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
             this.Column01.Visible = false;
             // 
             // Column02
@@ -847,6 +849,7 @@
             this.Column02.HeaderText = "ページ番号";
             this.Column02.Name = "Column02";
             this.Column02.ReadOnly = true;
+            this.Column02.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
             this.Column02.Visible = false;
             // 
             // Column04
@@ -854,6 +857,7 @@
             this.Column04.HeaderText = "構成キー";
             this.Column04.Name = "Column04";
             this.Column04.ReadOnly = true;
+            this.Column04.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
             this.Column04.Visible = false;
             // 
             // Column05
@@ -861,6 +865,7 @@
             this.Column05.HeaderText = "工種キー";
             this.Column05.Name = "Column05";
             this.Column05.ReadOnly = true;
+            this.Column05.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
             this.Column05.Visible = false;
             // 
             // Column06
@@ -868,6 +873,7 @@
             this.Column06.HeaderText = "規格・寸法キー";
             this.Column06.Name = "Column06";
             this.Column06.ReadOnly = true;
+            this.Column06.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
             this.Column06.Visible = false;
             // 
             // Column07
@@ -942,7 +948,6 @@
             // 
             // Column13
             // 
-            this.Column13.Frozen = true;
             this.Column13.HeaderText = "備　考";
             this.Column13.Name = "Column13";
             this.Column13.ReadOnly = true;
@@ -951,20 +956,20 @@
             // 
             // Column1
             // 
-            this.Column1.Frozen = true;
             this.Column1.HeaderText = "経費フラグ";
             this.Column1.Name = "Column1";
             this.Column1.ReadOnly = true;
+            this.Column1.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
             this.Column1.Visible = false;
             this.Column1.Width = 5;
             // 
             // Column14
             // 
-            this.Column14.Frozen = true;
             this.Column14.HeaderText = "入力フラグ";
             this.Column14.Name = "Column14";
             this.Column14.ReadOnly = true;
             this.Column14.Resizable = System.Windows.Forms.DataGridViewTriState.False;
+            this.Column14.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
             this.Column14.Visible = false;
             this.Column14.Width = 5;
             // 
@@ -1067,6 +1072,13 @@
         private System.Windows.Forms.Button btnPetition;
         private System.Windows.Forms.Button btnApproval;
         private System.Windows.Forms.Button btnSubConstructor;
+        private System.Windows.Forms.Panel panel3;
+        private System.Windows.Forms.Button btnParent;
+        private System.Windows.Forms.Label label5;
+        private System.Windows.Forms.Label lblLabel07;
+        private System.Windows.Forms.Button btnRequestPrint;
+        private System.Windows.Forms.ProgressBar PrintProgress;
+        private System.Windows.Forms.Button btnCancel;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column03;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column01;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column02;
@@ -1082,12 +1094,5 @@
         private System.Windows.Forms.DataGridViewTextBoxColumn Column13;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column1;
         private System.Windows.Forms.DataGridViewTextBoxColumn Column14;
-        private System.Windows.Forms.Panel panel3;
-        private System.Windows.Forms.Button btnParent;
-        private System.Windows.Forms.Label label5;
-        private System.Windows.Forms.Label lblLabel07;
-        private System.Windows.Forms.Button btnRequestPrint;
-        private System.Windows.Forms.ProgressBar PrintProgress;
-        private System.Windows.Forms.Button btnCancel;
     }
 }
\ No newline at end of file
